<?php # 테스트 파일: 일반실행+비동기 
	include_once __DIR__."/class-phpSyntaxCheck.php";
	$psc = new phpSyntaxCheck();

	// 해당 파라미터($_GET['accessAsync'])가 없을 경우 $this->filechk() 메소드에서 본 파일을 실행하여 무한 loop에 빠질 수 있다.
	if( !empty($_GET['accessAsync']) &&  $_GET['accessAsync'] == 'true'){
		$url = 'https://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'].'?async='.time();
		$psc->async($url);
		echo '비동기 통신 전송완료';
	}
	else{
		if( !empty($_GET['async'])){ $psc->errlog('async: '.$_SERVER['REQUEST_URI']."\n\n"); }
		$response = $psc->apply(); // 실행

		/*
			$response['dirList'] => 디렉토리 목록
			$response['fileList'] => 파일목록
			$response['syntax']=> 검사결과 
				$response['file'] => 검사 파일목록
				$response['errmsg'] => 에러결과 메시지
				$response['errfile'] => 에러파일 
				$response['fmsg'] => 체크실패 메세지 
		*/
		$errlog = '';
		if( $response === false ){ $errlog .="검사가능한 파일이 없습니다.\n"; }
		else{
			if( !empty($response['syntax']['file']) && count($response['syntax']['file']) > 0){
				$errlog .= "[검사파일(".number_format(count($response['syntax']['file']))."개)]\n";
				$errlog .= implode("\n",$response['syntax']['file'])."\n\n";
			}		

			$errlog .= "[에러파일(".number_format(count($response['syntax']['errmsg']))."개)]\n";
			if( !empty($response['syntax']['errmsg']) && count($response['syntax']['errmsg']) > 0){
				$errlog .= implode("\n",$response['syntax']['errmsg']);
			}	
		}
		$viewlog = date('[Y-m-s H:i:s]')."\n".$errlog."\n\n";
		$errlog = date('[Y-m-s H:i:s]')."\n".strip_tags($errlog)."\n\n";;
		$psc->errlog($errlog);		
		$psc->pr($viewlog);
	}